Type to search.

Get model snapshots info

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 5.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor_ml

Path parameters

job_id string required

Identifier for the anomaly detection job.

snapshot_id string optional

A numerical character string that uniquely identifies the model snapshot. You can get information for multiple snapshots by using a comma-separated list or a wildcard expression. You can get all snapshots by using _all, by specifying * as the snapshot ID, or by omitting the snapshot ID.

Leave it out to use /_ml/anomaly_detectors/{job_id}/model_snapshots.

Query parameters

desc boolean · default: false

If true, the results are sorted in descending order.

end union oneOf

Returns snapshots with timestamps earlier than this time.

One of: string or number
from number · default: 0

Skips the specified number of snapshots.

size number · default: 100

Specifies the maximum number of snapshots to obtain.

sort string

Specifies the sort field for the requested snapshots. By default, the snapshots are sorted by their timestamp.

start union oneOf

Returns snapshots with timestamps after this time.

One of: string or number

Request body

desc boolean · default: false

Refer to the description for the desc query parameter.

end union oneOf

Refer to the description for the end query parameter.

One of: string or number
sort string

Refer to the description for the sort query parameter.

start union oneOf

Refer to the description for the start query parameter.

One of: string or number

Response

application/json
count number required
model_snapshots object[] required
description string

An optional description of the job.

job_id string required

A numerical character string that uniquely identifies the job that the snapshot was created for.

latest_record_time_stamp number

The timestamp of the latest processed record.

latest_result_time_stamp number

The timestamp of the latest bucket result.

min_version string required

The minimum version required to be able to restore the model snapshot.

retain boolean required

If true, this snapshot will not be deleted during automatic cleanup of snapshots older than model_snapshot_retention_days. However, this snapshot will be deleted when the job is deleted. The default value is false.

snapshot_doc_count number required

For internal use only.

snapshot_id string required

A numerical character string that uniquely identifies the model snapshot.

timestamp number required

The creation timestamp for the snapshot.